跳至主要內容

交易状态查询(巴西)

smilepayz teams大约 1 分钟

在巴西(BRL)查询收款/代付状态,请传 orderNo 和/或 tradeNo

Request

POST/v2.0/inquiry-status

Request Path:

sandbox: https://sandbox-gateway.smilepayz.com/v2.0/inquiry-status
production: https://gateway.smilepayz.com/v2.0/inquiry-status

Header Parameters

FieldRequiredTypeDescription
Content-TypeMStringapplication/json
X-TIMESTAMPMStringFormat: yyyy-MM-ddTHH:mm:ss±HH:mm
X-SIGNATUREMStringRequest signature; Signature Generation.
X-PARTNER-IDMStringmerchantID (alphanumeric).

Body Parameters

FieldRequiredTypeDescription
tradeTypeMNumber1 = Pay-in, 2 = Pay-out.
orderNoCString(32)Merchant order id (use when no tradeNo).
tradeNoCString(32)Platform trade id (use when no orderNo).

条件

须至少提供 tradeNoorderNo 之一。


Example Body – Inquiry Status Request:

Content-type: application/json
X-TIMESTAMP: 2020-12-17T10:55:00-03:00
X-SIGNATURE: 85be817c55b2c135157c7e89f52499bf0c25ad6eeebe04a986e8c862561b19a5
X-PARTNER-ID: 20001

Responses

HTTP Request

FieldRequiredTypeDescription
Content-TypeMStringapplication/json
X-TIMESTAMPMStringFormat: yyyy-MM-ddTHH:mm:ss±HH:mm

Body Parameters

FieldRequiredTypeDescription
codeMString00 = success; other codes = error.
messageMStringResult text (UTF-8).
tradeNoOStringPlatform trade id.
tradeTypeONumber1 Pay-in / 2 Pay-out.
paymentMethodOStringChannel code (PIX, CPF, …); see Payment methods.
moneyOObjectMoney Model.
    currencyMStringBRL.
    amountMNumberInteger centavos (e.g. 20000 = BRL 200.00).
statusOStringTransaction Status.
remarkOStringExtra notes when present.

Example Body – Inquiry Status Response:

Content-type: application/json 
X-TIMESTAMP: 2020-12-17T10:55:00-03:00